#include <iostream>
#include <stdio.h>
using namespace std;

int main(void)
{
    bool used[10];
    for (int i=0; i<10; i++)
        used[i]=true;
    int k;
    char c;
    scanf("%i%c",&k,&c);
    while (c!='\n')
    {
        used[k]=false;
        scanf("%i%c",&k,&c);
    }
    used[k]=false;
    int a[10];
    k=0;
    for (int i=0; i<10; i++)
        if (used[i])
        {
            a[i]=k;
            k++;
        }
    string s;
    cin>>s;
    int len=s.size();
    int Arr[len];
    for (int i=0; i<len; i++)
        Arr[i]=a[s[len-i-1]-'0'];
    long long res=0, step=1;
    for (int i=0; i<len; i++)
    {
        res+=step*Arr[i];
        step*=k;
    }
    cout<<res<<endl;
}
